<div class="wrap">
	<h2 class="header"><img src="<?php echo plugins_url('/images/logo-icon.png', dirname(__FILE__)) ?>" class="mp-icon" /><span>FAQs</span></h2>

	<?php if (!empty($faq_items)): ?>
		<?php foreach ($faq_items as $faq_item): ?>
			<?php echo $faq_item->get_content(); ?>
		<?php endforeach ?>
	<?php endif ?>
	<h3>What are subscription styles are available?</h3>
	
	<h4>Page Overlay</h4>
	<p>The Page Overlay is for Premium pages on your site, requiring a subscription to access a page and dimming the content until the user signs up. With this option, the user can not interact with any elements on the page - images, text, links, etc, until a subscription is purchased.</p>
	<p>Wrap the post content with [mpoverlay]My Text Here[/mpoverlay] when you edit your posts</p>
	
	<h4>In-Page Overlay</h4>
	<p>The In-Page option is best for Premium sections within a page (articles, blog posts, etc). Unlike the Page Overlay, the In-Page doesn't cover up all the content, but instead sits within a page, hiding the Premium content until a user purchases a subscription.</p>
	<p>To manually select teaser text, wrap you premium content with [mpinpage]My Text Here[/mpinpage] when you edit your posts</p>
	
	<h4>Video Overlay</h4>
	<p>For publishers with video content the Video Overlay is a subscription option that works with any player. Unlike the Page Overlay, users can still interact with other elements - images, text, links, etc - on the page, as well as navigate around to other pages on your site. Similar to the In-Page option, the Video Overlay can be customized to appear after a "teaser" preview of the video.</p>
	
	<h2><?php echo __("Terms &amp; Conditions") ?></h2>
	<h3>DIGITAL CONTENT RESELLER AGREEMENT</h3>

	<p style="border-top:1px solid #000; border-bottom:1px solid #000; padding:5px 0px;">PLEASE CAREFULLY READ ALL OF THE TERMS AND CONDITIONS OF THIS DIGITAL CONTENT RESELLER AGREEMENT.  BY CLICKING "I ACCEPT", YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.  IF YOU DO NOT AGREE WITH ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT, DO NOT CLICK "I ACCEPT" AND YOU ARE NOT PERMITTED TO ACTIVATE A PUBLISHER ACCOUNT WITH US OR USE OUR SERVICES TO RESELL YOUR DIGITAL CONTENT.  PLEASE NOTE THAT YOU WILL ALSO NEED TO READ AND ACCEPT OUR PRIVACY POLICY AND WEBSITE TERMS OF SERVICE, EACH OF WHICH ARE INCORPORATED HEREIN BY REFERENCE AND FORM PART OF THIS AGREEMENT.</p>
	<p>This DIGITAL CONTENT RESELLER AGREEMENT (this "<b>Agreement</b>") is between You (both the individual activating a Publisher Account (as defined below) and, if applicable, the legal entity on behalf of which such individual is acting) ("<b>Publisher</b>" or "<b>You</b>" or "<b>Your</b>") and MediaPass, LLC, with offices at 161 Ashdale Place, Los Angeles, CA 90049 ("<b>MediaPass</b>" or "<b>We</b>" or "<b>Our</b>").  You acknowledge and agree that by accepting the terms of this Agreement, a binding agreement is concluded between You and MediaPass. </p>
	<p>MediaPass may change, add or remove any part of this Agreement, or any other terms associated with the use of MediaPass' services or the use of Your Publisher Account, at any time, by providing notice in writing or electronically. Any changes shall become part of the Agreement and shall apply to all new Digital Content (as defined below) made available by You after such a notice is sent. By continuing to use Your Publisher Account after the notice is sent, You are indicating Your acceptance of those changes.</p>


	<h4>1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DEFINITIONS</h4>
	<ul>
	    <li>1.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Customers</b>" means end users of the MediaPass Website who have activated an end-user account with MediaPass and have elected to purchase Publisher's Digital Content.</li>
	    <li>1.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Digital Content</b>" means any and all content, materials and proprietary information made available by You to MediaPass for display on, and resale and redistribution by and through, the MediaPass Site, including without limitation, all text, software, photographs, video, graphics, music and sound contained therein.</li>
	    <li>1.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Effective Date</b>" means the date upon which You affirmatively accept the terms of this Agreement either electronically or in writing. </li>
	    <li>1.4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>MediaPass Code Snippet</b>" means the MediaPass proprietary Java Code which enables MediaPass to recognize Your Digital Content and resell the same to Customers which can be downloaded by You from the MediaPass Website after activating Your Publisher Account.</li>
	    <li>1.5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>MediaPass Site</b>" means MediaPass' internet site,  www.mediapass.com, through which MediaPass provides the Reseller Services.</li>
	    <li>1.6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Publisher Account</b>" means Publisher's online account with MediaPass through which You can make available for resale Your Digital Content (e.g., a Premium Publisher Reseller Account).</li>
	    <li>1.7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Reseller Services</b>" means MediaPass' online service of reselling Digital Content to Customers.</li>
	    <li>1.8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"<b>Your Site</b>" means any internet site owned or operated by You or on Your behalf where the Digital Content is originally located.</li>
	</ul>


	<h4>2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;OUR SERVICES; ENROLLMENT</h4>
	<ul>
	    <li>2.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Our Services</u>.  Upon Our acceptance of Your Publisher Account, You will have the ability to provide Digital Content for resale by MediaPass to Customers as part of the Reseller Services, and You shall receive certain fees and commissions, as specified in <u>Section 7</u> below.</li>
	    <li>2.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Application</u>.  In order to apply for a Publisher Account, You will be required to complete an application on the MediaPass Site.  We will evaluate Your application and notify You of Your acceptance, in Our sole discretion.</li>
	    <li>2.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Approval/Acceptance</u>.  Until You are notified of Your acceptance, You will not be permitted to download the MediaPass Code Snippet or upload any Digital Content to the MediaPass Site.  Note that as a condition to qualify, You must have provided accurate registration information, be a resident of the United States, be the age of majority in Your jurisdiction, and not previously have had a Publisher Account terminated by MediaPass. Furthermore, You must have affirmatively accepted this Agreement either electronically or in writing.</li>
	</ul>


	<h4>3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;USE OF PUBLISHER CONTENT</h4>
	<ul>
	    <li>3.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>License</u>.  Publisher hereby grants to MediaPass a worldwide, non-exclusive right and license (except in the case where you have a Premium Publisher Reseller Account in which case such right and license shall be exclusive) to access, upload, use, copy, reformat, archive, market, promote, sell, distribute and display the Digital Content and to allow Customers that access the MediaPass Site to, subject to any Publisher Usage Restrictions expressly agreed to by such Customers in advance, purchase, access, use, display, download and print such Digital Content from the MediaPass Site and Publisher's Website solely for such Customer's own internal use but not for further resale.  You expressly acknowledge and agree that once You install the MediaPass Code Snippet on a webpage on Your Site, MediaPass will have the right and ability to crawl such webpage and to capture the Digital Content located thereon and to upload, reformat and post such Digital Content onto MediaPass' Site for resale.</li>
	    <li>3.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Limitations</u>.  MediaPass has no obligation to accept, display or resell any of Your Digital Content. If MediaPass chooses to do so,  MediaPass agrees: (a) not to remove, conceal or obliterate any copyright or other proprietary notice or any credit-line or date-line included on the Digital Content; (b) not to make any warranties or representations on behalf of Publisher or its licensors, (c) to display the Digital Content only in the exact form in which it is received by Customer (although MediaPass may alter the format of the Digital Content); and (d) promptly cease use and distribution of the Digital Content upon receipt of written notice from Publisher in the event that Publisher receives notice from its licensors that any or all of the Digital Content is or may be infringing on a third party's rights.</li>
	    <li>3.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Prohibited Actions</u>. You agree that you will not: (a) take any actions with respect to your uploading of Digital Content that are unlawful, false, misleading, harmful, threatening, embarrassing, abusive, harassing, tortious, defamatory, vulgar, obscene, libelous, deceptive, fraudulent, invasive of another's privacy, hateful, or contains explicit or graphic descriptions or accounts of sexual or violent acts; (b) upload or transmit using the MediaPass Site or embed the MediaPass Code Snippet on any webpage on Your Site containing (or which otherwise accesses) any Digital Content (i) that victimizes, harasses, degrades, or intimidates an individual or group of individuals on the basis of any impermissible classification, (ii) infringes any patent, trademark, trade secret, copyright, or other intellectual or proprietary right of any party, (iii) that you do not have a right to transmit under any law or under any contractual or fiduciary relationship, or (iv) (that contains software viruses or any other computer code, files, or programs designed to interrupt, destroy, or limit the functionality of the MediaPass Site; (c) interfere with or disrupt the MediaPass Site or servers or networks linked to the MediaPass Site, or disobey any requirements, procedures, policies, or regulations of networks linked to the MediaPass Site; (d) take any actions with respect to your uploading of Digital Content that violate any applicable local, state, national, or international law; or (e) upload or transmit using the MediaPass Site any Digital Content that would constitute, or would otherwise encourage, criminal conduct or conduct that could give rise to civil liability.</li>
	</ul>


	<h4>4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RESELLER SERVICES</h4>
	<ul>
	    <li>4.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Provision of Reseller Services</u>.  MediaPass shall use commercially reasonable efforts to provide the Reseller Services and make the MediaPass Site available to Customers. Notwithstanding the foregoing, You acknowledge and agree that MediaPass' performance of the Reseller Services is contingent upon Your continued performance of this Agreement (including, to the extent applicable, Your continued maintenance and hosting of Your Site on which the Digital Content is located).</li>
	    <li>4.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>License to MediaPass Code Snippet</u>.  MediaPass hereby grants to You, solely during the term of this Agreement, a limited, non-exclusive right and license to download the MediaPass Code Snippet and embed the same on one or more webpages on Your Site for the sole purpose of enabling MediaPass to provide the Reseller Services in accordance with this Agreement.  You acknowledge and agree that upon embedding the Java Code into a webpage on Your Site, the Digital Content located on such webpage will no longer be fully accessible by end-users unless and until the Digital Content is purchased from MediaPass.</li>
	    <li>4.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Limitations</u>.  You agree that You will not, nor permit others to: (a) attempt to reverse engineer, decompile, disassemble, or extract any element of and/or otherwise discover any source code, algorithms, methods or techniques embodied in the MediaPass Code Snippet; (b) modify, transfer, assign, pledge, sublicense, rent, lease, sell, resell, or create derivative works based on the MediaPass Code Snippet; (c) distribute the MediaPass Code Snippet; (d) attempt to embed the MediaPass Code Snippet on any website other than Your Site.</li>
	</ul>


	<h4>5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;OWNERSHIP</h4>
	<ul>
	    <li>5.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;As between the parties, You and/or Your licensors exclusively retain all intellectual property rights in and to the Digital Content and Your Site (except for the MediaPass Code Snippet to be embedded therein). </li>
	    <li>5.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;As between the parties, MediaPass exclusively retains all intellectual property rights in and to the Reseller Services, the MediaPass Code Snippet and the MediaPass Site (except for the Digital Content provided there through). </li>
	</ul>


	<h4>6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;YOUR PERSONAL INFORMATION</h4>
	<ul>
	    <li>6.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;In the course of the performance of the Reseller Services, MediaPass may have access to and/or receive from You certain of Your personal information.  If MediaPass receives any such personal information, You agree that such personal information may be used and disclosed by MediaPass in accordance with MediaPass' Privacy Policy which has been made available to You and is incorporated herein by this reference.</li>
	</ul>


	<h4>7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;COMMISSION AND REPORTS</h4>
	<ul>
	    <li>7.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Fees</u>.  In full consideration for MediaPass' license rights hereunder, including the right to resell the Digital Content, and subject to Your full and complete compliance with all of the terms and conditions under this Agreement, You shall be entitled to the commission specified in your Publisher Account (the "<b>Commission</b>") on all Net Revenues (as defined herein) actually received by MediaPass from sales of Your Digital Content through the MediaPass Site during each calendar quarter of the Term (the "<b>Referral Fee</b>").   For purposes of this Agreement, "<b>Net Revenues</b>" shall mean gross amounts actually received by MediaPass each month less: any sales, VAT or similar taxes collected by MediaPass and less any refunds, charge-backs, credit/debit card processing fees and/or collection fees. You shall not be entitled to any other revenue under this Agreement. You agree to bear Your own costs and expenses incurred in performing Your obligations hereunder. </li>
	    <li>7.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Payment</u>.  Except as otherwise set forth herein, the Commission shall be payable by MediaPass by making an ACH wire transfer or by mailing a payment to You before the thirtieth (30th) day of each calendar month following a month during which MediaPass has received payment in full from a Customer as follows: (a) if payment is by personal check, upon the Customer's bank honoring such personal check, or (b) if payment is by credit card, upon MediaPass receiving payment in full.  If MediaPass grants any refunds to a Customer or suffers any chargebacks or other reversions to payment, MediaPass will deduct such amounts from any Commission which becomes due during the same monthly period.  In the event that the Commission owed to you in any calendar month is less than US $25.00, such amount will be paid within thirty (30) days after the earliest of: (i) the next month in which your total Commission owed is at least US $25.00, (ii) the end of the calendar year, or (iii) the Termination of this Agreement.  </li>
	    <li>7.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Withholding Taxes</u>.  MediaPass shall have the right to withhold taxes required to be paid to a taxing authority in connection with any Commission to be paid to You.  Any amounts withheld pursuant to this Section shall be treated as having been paid by MediaPass for all purposes under this Agreement.  To the extent any payments are agreed to be made by MediaPass without withholding and withholding is later determined to have been required, or is assessed, by any governmental entity, You shall indemnify MediaPass, including, without limitation, for any withholding tax, interest and/or penalties thereon, and any other reasonable expenses related thereto.</li>
	    <li>7.4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Reports</u>.  Through Your Publisher Account You shall have the right to access MediaPass' reporting tool which will specify the quantity of Digital Content purchased through the Reseller Services, the price paid for such Digital Content and the Commission owed or paid for the same.</li>
	</ul>


	<h4>8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;WARRANTY AND DISCLAIMER</h4>
	<ul>
	    <li>8.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Warranty by Publisher</u>.  You represent and warrant that:  (a) You have the full power and authority to execute, deliver and perform Your obligations under this Agreement; (b) this Agreement is a valid and binding obligation enforceable against You in accordance with its terms except as limited by applicable bankruptcy, insolvency, reorganization, moratorium, fraudulent conveyance or other laws of general application relating to or affecting the enforcement of creditors' rights generally; (c) Your entry into this Agreement does not violate any agreement between You and any third party, and (d) the Digital Content You upload or transmit using the MediaPass Site or which is made available or otherwise accessible through any webpage on Your Site embedded with the MediaPass Code Snippet is in strict compliance with this Agreement and is not barred by any of the prohibited actions set forth in <u>Section 3.3</u>.</li>
	    <li>8.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Warranty by MediaPass</u>.  MediaPass represents and warrants that:  (a) MediaPass has the full power and authority to execute, deliver and perform its obligations under this Agreement; (b) this Agreement is a valid and binding obligation enforceable against MediaPass in accordance with its terms except as limited by applicable bankruptcy, insolvency, reorganization, moratorium, fraudulent conveyance or other laws of general application relating to or affecting the enforcement of creditors' rights generally; (c) MediaPass' entry into this Agreement does not violate any agreement between MediaPass and any third party; and (d) subject to Your compliance with this Agreement, including Your compliance with the prohibited actions set forth in <u>Section 3.3</u> and Your representations and warranties set forth in <u>Section 8.1</u>, the Reseller Services and MediaPass' performance under this Agreement conforms to all applicable laws, government rules and regulations.</li>
	    <li>8.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Warranty Disclaimer</u>.  EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER PARTY MAKES ANY WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, FOR ANY GOODS OR SERVICES PROVIDED UNDER THIS AGREEMENT, INCLUDING ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.</li>
	</ul>


	<h4>9&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;LIMITATION OF LIABILITY</h4>
	<ul>
	    <li>9.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;EXCEPT AS SET FORTH IN SECTION 9, MEDIAPASS SHALL NOT BE LIABLE TO YOU OR ANY THIRD PARTY OR OBLIGATED WITH RESPECT TO THE SUBJECT MATTER OF THIS AGREEMENT OR UNDER ANY CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER LEGAL OR EQUITABLE THEORY FOR (I) ANY AMOUNTS IN EXCESS IN THE AGGREGATE OF THE COMMISSIONS THEN OWED TO YOU BY MEDIAPASS HEREUNDER, (II) ANY INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES, OR (III) PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES.</li>
	</ul>


	<h4>10&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;INDEMNIFICATION</h4>
	<ul>
	    <li>10.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Indemnification by You</u>.  You hereby agree to indemnify and hold MediaPass and its officers, directors, employees, affiliates, agents and licensors harmless from and against any and all third party claims, liability, losses, costs, damages and expenses (including attorney's fees) arising out of or in connection with:  (a) Your Site and/or the Digital Content; including without limitation, any claim that the Digital Content infringes or violates any copyrights, trademarks, trade secrets, patents or other proprietary rights of any kind belonging to any third party or violates any right of privacy, right to publicity or misappropriates anyone's name or likeness or other rights; (b) Your breach of any provision of this Agreement; and/or (c) Your negligence or intentional misconduct.</li>
	    <li>10.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Notice of and Restrictions on Indemnification</u>.  In the event that MediaPass seeks indemnification from You in accordance with this Section 10 in connection with the assertion of any threats, claims and proceedings by a third person (a "<b>Third Person Assertion</b>"), MediaPass will provide You with:  (a) prompt written notice of all Third Party Assertions related thereto, (b) reasonable assistance, and (c) control over such defense or settlement as a condition to receiving indemnification. You agree that You will not settle any Third Party Assertion without MediaPass' prior written consent, which shall not be unreasonably withheld, conditioned or delayed.</li>
	</ul>


	<h4>11&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;TERM AND TERMINATION</h4>
	<ul>
	    <li>11.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Term</u>.  This Agreement shall commence on the Effective Date and shall continue in full force and effect until the end of the period, if any, specified in your Publisher Account or until terminated in accordance with this Section 11.2 ("<b>Term</b>").</li>
	    <li>11.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Termination for Convenience</u>.  If You do not have a Premium Publisher Reseller Account, then either party may terminate this Agreement at any time for convenience by providing written notice to the other party.  If You have a Premium Publisher Reseller Agreement, neither party may terminate this Agreement for convenience until the end of the Term specified in such Premium Publisher Reseller Account.</li>
	    <li>11.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Termination for Cause</u>.  Either party may terminate this Agreement (a) immediately, without further obligation to the other party in the event of any material breach of this Agreement by the other party that is not remedied within thirty (30) days' of receipt of written notice of such breach; provided that MediaPass may terminate this Agreement immediately for any breach of Sections 3.3 or 4.3.</li>
	    <li>11.4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Withdrawal of a Service</u>.  MediaPass may, in MediaPass' sole discretion, cancel, modify or delay all or part of the Reseller Services at anytime.  If it is mutually agreed that such change in the Reseller Services materially affects You, You may terminate this Agreement (including if you have entered into a Premium Publisher Reseller Agreement) upon thirty (30) days' written notice.</li>
	    <li>11.5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Obligations Upon Termination</u>.  Within thirty (30) days of termination of this Agreement for any reason, (a) MediaPass will cease to make the Digital Content available for resale and (b) You will remove the MediaPass Code Snippet from any and all webpages of Your Site.  The provisions of Sections 2, 5 (except that Publisher may no longer mention Customer's name in marketing materials after contract termination), 7, 8, 9, 10, 11, 13 and 14 and the obligation to pay all accrued fees will survive the termination of this Agreement.</li>
	</ul>


	<h4>12&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NOTICES</h4>
	<ul>
	    <li>12.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MediaPass may give notice to You by electronic mail to Your last known e-mail address on record in Your Publisher Account, or by written communication sent by first class mail, postage prepaid, or overnight courier to Your last known address on record in Your Publisher Account.  You may give notice to MediaPass by electronic mail to <a href="mailto:support@mediapass.com">support@mediapass.com</a> or by first class mail, postage pre-paid, or overnight courier to 161 Ashdale Place, Los Angeles, CA 90049, Attn: Publisher Accounts.</li>
	</ul>


	<h4>13&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;THIRD PARTY RIGHTS; COMPLAINTS</h4>
	<ul>
	    <li>13.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Third Party Rights</u>.  You shall be solely responsible for all licensing, reporting and payment obligations to any third parties in connection with Your Digital Content, the resale thereof by MediaPass in accordance with the terms of this Agreement, or the use of such Digital Content by Customers.  MediaPass shall not be responsible to any third parties under this Agreement.  You shall not copy text, photos, pictures or other intellectual property from any third party or source (each, a "Rights Owner") without specific permission from the applicable Rights Owner.</li>
	    <li>
	        13.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Complaints.</u>
	        <ul>
	            <li>i&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Cooperation</u>.  Within forty-eight (48) hours of any notification to You by MediaPass that it has received a complaint from a third party regarding Your Digital Content, You shall respond to MediaPass by providing any facts and evidence requested by MediaPass relevant to the complaint.</li>
	            <li>ii&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Remedial Action</u>.  If You breach the terms of this Agreement and/or MediaPass receives a report by a Rights Owner or any other third party that all or any portion of Your Digital Content contains third party rights or intellectual property that is being used without their permission or infringes upon their intellectual property rights in any way, or is otherwise inappropriate (each, a "<b>Complaint</b>"), MediaPass reserves the right to automatically remove or make unavailable the applicable Digital Content immediately or within such other timescales as may be decided from time to time by MediaPass following its investigation. The Digital Content shall be taken down or made unavailable without any admission as to liability and without prejudice to any rights, remedies or defenses, all of which are expressly reserved by MediaPass. Service Provider acknowledges and agrees that MediaPass is under no obligation to put back such Digital Content at any time regardless of whether or not it has received a valid Complaint.  If all or any portion of Your Digital Content is taken down from the MediaPass Site or otherwise made unavailable for resale by MediaPass as a result of Your breach of this Agreement, Our receipt of a Complaint, or for any other reason, You acknowledge and agree that You are prohibited from re-uploading such Digital Content or embedding the MediaPass Code Snippet on any webpage on Your Site containing (or which otherwise accesses) such Digital Content at any time unless and until You receive MediaPass' prior written consent to do so.</li>
	        </ul>
	    </li>
	</ul>


	<h4>14&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ADVERTISING RIGHTS</h4>
	<ul>
	    <li>14.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;MediaPass reserves and has the right to sell, license and/or display any advertising, attribution, links, promotional and/or distribution rights in connection with Your Digital Content on the MediaPass Site, and MediaPass will be entitled to retain any and all revenue generated from any sales or licenses of such advertising, attribution, links, or promotional or distribution rights.  Nothing in this Agreement obligates or may be deemed to obligate MediaPass to sell, license or offer to sell or license any advertising, promotion or distribution rights.</li>
	</ul>


	<h4>15&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;GENERAL PROVISIONS</h4>
	<ul>
	    <li>15.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Governing Law</u>.  This Agreement and all matters arising out of or relating to this Agreement shall be governed by the internal laws of the State of California without giving effect to any choice of law rule.  This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sales of Goods, the application of which is expressly excluded.  Each party hereby irrevocably consents to the exclusive jurisdiction and venue of the state and federal courts located in San Diego County, California in connection with any claim, action, suit, or proceeding relating to this Agreement, except that either party may seek injunctive, equitable or similar relief from any court of competent jurisdiction.</li>
	    <li>15.2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Severability and Waiver</u>.  If any provision of this Agreement is held to be illegal, invalid or otherwise unenforceable, such provision will be enforced to the extent possible consistent with the stated intention of the parties, or, if incapable of such enforcement, will be deemed to be severed and deleted from this Agreement, while the remainder of this Agreement will continue in full force and effect.  The waiver by either party of any default or breach of this Agreement will not constitute a waiver of any other or subsequent default or breach.</li>
	    <li>15.3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Independent Contractors</u>.  The parties hereto are independent contractors.  No employment, partnership, or joint venture relationship is created by this Agreement.  As such, except with respect to the Commission, neither You nor anyone employed by or acting on Your behalf shall receive nor be entitled to any consideration, compensation or benefits of any kind from MediaPass; and MediaPass shall not be liable for employment taxes respecting MediaPass nor any of Your employees.</li>
	    <li>15.4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>No Assignment</u>.  You may not assign, sell, transfer, delegate or otherwise dispose of, whether voluntarily or involuntarily, by operation of law or otherwise, this Agreement or any rights or obligations under this Agreement without the prior written consent of MediaPass, which may be withheld in MediaPass' sole discretion.  Any purported assignment, transfer or delegation by You shall be null and void.  MediaPass shall have the right to assign this Agreement without Your consent and without prior notice to You.  Subject to the foregoing, this Agreement shall be binding upon and shall inure to the benefit of the parties and their respective successors and assigns.</li>
	    <li>15.5&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Injunctive Relief</u>.  You acknowledge and agree that a breach or threatened breach of any covenant contained in this Agreement would cause irreparable injury, that money damages would be an inadequate remedy and that MediaPass shall be entitled to temporary and permanent injunctive relief, without the posting of any bond or other security, to restrain You, from such breach or threatened breach. Nothing in this Section 15.5 shall be construed as preventing MediaPass from pursuing any and all remedies available to it, including the recovery of money damages from You.</li>
	    <li>15.6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<u>Entire Agreement</u>.  This Agreement along with Our Privacy Policy and Website Terms of Service, constitutes the entire agreement between the parties and supersedes all prior or contemporaneous agreements or representations, written or oral, concerning the subject matter of this Agreement.  To the extent of any inconsistency between this Agreement and Our Website Terms of Service, the relevant terms of this Agreement shall control and prevail.  This Agreement may not be modified or amended by You except in a writing signed by a duly authorized representative of each party; and no other act, document, usage or custom by You shall be deemed to amend or modify this Agreement.</li>
	</ul>
</div>